classification
Title: Unclear word in socket document.
Type: Stage: resolved
Components: Documentation Versions: Python 3.3, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: akuchling, docs@python, giampaolo.rodola, inada.naoki, python-dev, terry.reedy
Priority: normal Keywords:

Created on 2014-02-03 06:19 by inada.naoki, last changed 2014-02-15 21:41 by akuchling. This issue is now closed.

Messages (4)
msg210078 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2014-02-03 06:19
http://docs.python.org/3.3/library/socket.html#socket.getaddrinfo

> Changed in version 3.2: parameters can now be passed as single keyword arguments.

What *single* means?
I can use multiple keyword arguments:

In [3]: socket.getaddrinfo('www.python.org', 80, proto=socket.SOL_TCP, family=socket.AF_INET)
Out[3]:
[(<AddressFamily.AF_INET: 2>,
  <SocketType.SOCK_STREAM: 1>,
  6,
  '',
  ('82.94.164.162', 80))]
msg210658 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-02-08 15:04
'Single' that argument passing has changed, but I would have to know what it was previously (3.1) to know what the change is. Perhaps you can review the 3.1 signature and suggest a better wording for the change note.
msg211297 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-02-15 21:39
New changeset 3352b5abe1e4 by Andrew Kuchling in branch '3.3':
Clarify versionchanged sentence.  Closes #20497.
http://hg.python.org/cpython/rev/3352b5abe1e4
msg211298 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2014-02-15 21:41
That line of documentation was introduced in changeset ca2a859e9bf6, which was issue #8866.  Previously the parameters to getaddrinfo() were positional, so you had to supply all 5 of them.
History
Date User Action Args
2014-02-15 21:41:24akuchlingsetnosy: + akuchling
messages: + msg211298
2014-02-15 21:39:47python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg211297

resolution: fixed
stage: resolved
2014-02-15 15:57:21ezio.melottisetnosy: + giampaolo.rodola

versions: - Python 3.2
2014-02-08 15:04:14terry.reedysetnosy: + terry.reedy
messages: + msg210658
2014-02-03 06:19:42inada.naokicreate